# Get business withdrawals

## Fetch withdrawals

> Fetch withdrawals for a business.

```json
{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"https://api.finrax.com","description":"Generated server url"}],"security":[{"ApiKeyAuth":["GET_WITHDRAWALS"]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","description":"^FRX-API api-key=[^,]+,signature=[^,]+,timestamp=[\\d]+$","name":"Authorization","in":"header"}},"schemas":{"FetchWithdrawalsResponse":{"type":"object","properties":{"withdrawals":{"type":"array","items":{"$ref":"#/components/schemas/FetchWithdrawalResponse"}}}},"FetchWithdrawalResponse":{"required":["addressOwner","businessId","clientWithdrawId","createdAt","destinationRiskEntities","displayCurrency","estimatedDisplayAmount","estimatedWithdrawAmount","initiatedBy","network","recipientAddress","settlementCurrency","sourceRiskEntities","status","withdrawCurrency","withdrawId"],"type":"object","properties":{"withdrawId":{"type":"string","format":"uuid"},"businessId":{"type":"string","description":"ID of the business to which the withdrawal belongs to","format":"uuid"},"clientWithdrawId":{"type":"string","description":"Withdrawal identifier provided by the merchant in the request body of `POST /withdrawals`."},"recipientAddress":{"type":"string","description":"Address to which the `actualWithdrawAmount` was sent."},"transactionId":{"type":"string","description":"Blockchain transaction hash of the withdrawal."},"initiatedBy":{"type":"string","description":"Initiator of the withdrawal request. When initiated from the Dashboard, the dashboard user's email is stored. When initiated from API, the backend URL is stored."},"status":{"type":"string","enum":["PENDING","COMPLETED","FAILED","BLOCKED"]},"displayCurrency":{"type":"string","description":"Fiat currency.","enum":["AED","ARS","AUD","BDT","BGN","BRL","CAD","CHF","CLP","CNY","CZK","DKK","EUR","GBP","HKD","HRK","HUF","IDR","ILS","INR","ISK","JPY","KES","KRW","MXN","MYR","NOK","NZD","PEN","PHP","PLN","QAR","RON","SEK","SGD","THB","TRY","USD","VND","ZAR"]},"withdrawCurrency":{"type":"string","description":"Cryptocurrency that was withdrawn.","enum":["BCH","BTC","ETH","LINK","LTC","SOL","USDC","XLM","XRP"]},"settlementCurrency":{"type":"string","description":"Currency in which the merchant's account was debited. Can be either fiat or cryptocurrency.","enum":["BTC","USDC","EUR","GBP","USD"]},"estimatedDisplayAmount":{"type":"string","description":"Amount in `displayCurrency` requested for this withdrawal."},"estimatedWithdrawAmount":{"type":"string","description":"Estimated amount for this withdrawal. Can be different than `actualWithdrawAmount`."},"actualDisplayAmount":{"type":"string","description":"Actual amount withdrawn in `displayCurrency` currency. Can be different than `estimatedDisplayAmount`."},"actualWithdrawAmount":{"type":"string","description":"Actual amount withdrawn in `withdrawCurrency`. Can be different than `estimatedWithdrawAmount`."},"settlementDeductedAmount":{"type":"string","description":"Amount debited from the merchant's balance in `settlementCurrency`."},"displayDeductedAmount":{"type":"string","description":"Amount debited from the merchant's balance in `displayCurrency`."},"uniformDeductedAmount":{"type":"string","description":"Amount debited from the merchant's balance in EUR."},"settlementServiceFee":{"type":"string","description":"Amount debited for fees from the merchant's balance in `settlementCurrency`."},"displayServiceFee":{"type":"string","description":"Amount debited for fees from the merchant's balance in `displayCurrency`."},"uniformServiceFee":{"type":"string","description":"Amount debited for fees from the merchant's balance in EUR."},"withdrawFee":{"type":"string","description":"Blockchain cost covered by the end-user for this withdrawal in `withdrawCurrency`."},"displayFee":{"type":"string","description":"Blockchain cost covered by the end-user for this withdrawal in `displayCurrency`."},"settlementMerchantTransactionFee":{"type":"string","description":"Blockchain cost covered by the merchant for this withdrawal in `settlementCurrency`."},"displayMerchantTransactionFee":{"type":"string","description":"Blockchain cost covered by the merchant for this withdrawal in `displayCurrency`."},"merchantTransactionFee":{"type":"string","description":"Blockchain cost covered by the merchant for this withdrawal in `withdrawCurrency`."},"settlementRateDepegLossAmount":{"type":"string","description":"Loss incurred from the pegging of withdrawal and display currencies market rate in `settlementCurrency`."},"displayRateDepegLossAmount":{"type":"string","description":"Loss incurred from the pegging of withdrawal and display currencies market rate in `displayCurrency`."},"uniformRateDepegLossAmount":{"type":"string","description":"Loss incurred from the pegging of withdrawal and display currencies market rate in `uniformCurrency`."},"network":{"type":"string","description":"Network on which this withdrawal will be initiated.","enum":["BCH","BTC","LTC","XLM","XRP","ETH","BSC","SOL","TRX"]},"addressOwner":{"$ref":"#/components/schemas/LegalEntityResponse"},"sourceRiskEntities":{"uniqueItems":true,"type":"array","description":"Illicit sources from which the `recipientAddress` has received transactions.","items":{"$ref":"#/components/schemas/LegalEntityResponse"}},"destinationRiskEntities":{"uniqueItems":true,"type":"array","description":"Illicit destinations to which the `recipientAddress` has sent transactions.","items":{"$ref":"#/components/schemas/LegalEntityResponse"}},"createdAt":{"type":"integer","description":"UNIX seconds at which the withdrawal was requested.","format":"int64"}}},"LegalEntityResponse":{"type":"object","properties":{"name":{"type":"string","description":"Address owning entity name."},"category":{"type":"string","description":"Illicit source category."}},"description":"Legal entity."}}},"paths":{"/v1/withdrawals":{"get":{"summary":"Fetch withdrawals","description":"Fetch withdrawals for a business.","operationId":"fetch-withdrawals","parameters":[{"name":"businessId","in":"query","description":"ID of the business.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"clientWithdrawId","in":"query","description":"Withdrawal ID provided by the client.","required":false,"explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"coins","in":"query","description":"Comma-separated list of cryptocurrencies.","required":false,"explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string","enum":["BCH","BTC","ETH","LINK","LTC","SOL","USDC","XLM","XRP"]}}},{"name":"statuses","in":"query","description":"Comma-separated list of withdrawal statuses.","required":false,"explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string","enum":["PENDING","COMPLETED","FAILED","BLOCKED"]}}},{"name":"after","in":"query","description":"Withdrawal creation date range start, in UNIX seconds, inclusive.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"before","in":"query","description":"Withdrawal creation date range end, in UNIX seconds, exclusive.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"limit","in":"query","description":"Limit of the results per request.","required":false,"schema":{"maximum":2000,"type":"integer","default":25}}],"responses":{"200":{"description":"Returns withdrawals, sorted by `created`.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FetchWithdrawalsResponse"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finrax.com/references/business/get-business-withdrawals.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
